using ProjectItCompany.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectItCompany.Repositories.Implementations;

internal class ProjectRepository : IProjectRepository
{
    public void CreateProject(Project project)
    {
        
    }

    public void DeleteProject(int id)
    {
        
    }

    public Project ReadProjectById(int id)
    {
        return Project.CreateEntity(1, string.Empty, 0, Entities.Enums.CompletedStages.Planning);
    }

    public IEnumerable<Project> ReadProjects()
    {
        return [];
    }

    public void UpdateProject(Project project)
    {
        
    }
}
